"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

"use strict";

cc.Class({
  "extends": cc.Component,
  properties: {
    label: {
      "default": null,
      type: cc.Label
    },
    text: 'Hello, World!',
    skeletonAnimation: cc.SkeletonAnimation
  },
  onLoad: function onLoad() {
    this.label.string = this.text;
    var skeletonAnimation = this.skeletonAnimation;
    var animState = skeletonAnimation.play();
    animState.wrapMode = cc.WrapMode.Loop;
    animState.repeatCount = Infinity;
    animState.speed = 1;
    skeletonAnimation.on("finished", function (event) {
      console.log("finished");
    }, this);
  }
});

cc._RF.pop();